#!/usr/bin/php
<?php

/**
* www.pcsg.de optimizer
*
* php optimize.php
*/

date_default_timezone_set( 'UTC' );
set_time_limit( 0 );

include_once dirname( __FILE__ ) .'/vendor/autoload.php';

use Symfony\Component\Console\Application;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputOption;

$App = new Application( 'www.pcsg.de optimizer', '0.1.0' );

$dir      = dirname( __FILE__ ) .'/lib/commands/';
$handle   = opendir( $dir );
$commands = array();

while ( false !== ( $file = readdir( $handle ) ) )
{
    if ( strpos( $file, '.php' ) === false ) {
        continue;
    }

    require $dir . $file;

    $file = str_replace( array( '.php', $dir ), '', $file );

    $commands[] = new $file();
}

closedir( $handle );

$App->addCommands( $commands );
$App->run();
